# JSC Compiler

A 🔥 BLAZINGLY FAST 🔥, but ❄️ refreshingly simple ❄️ JavaScript-to-JavaScript
compiler.

## Why?

As JavaScript has become more popular and powerful, its ecosystem has
become increasingly convoluted. Developers have built many tools such as Babel
and TypeScript to help them manage the complexity and streamline their
workflows. However, although these tools bring many sophisticated features,
they can be burdensome and frustrating to use due to their complexity.

For years, developers have been looking for a simpler alternative, and it has
finally arrived: the **JSC Compiler**. Say goodbye to frustration and
complexity and say hello to the future of JavaScript development!

## How?

The **JSC Compiler** simplifies JavaScript compilation by not including
rarely-used features such as:

* Syntax transformation
* Performance optimisation
* Polyfills
* Type safety
* Size optimisation
* Code obfuscation

## Usage

Install the **JSC Compiler** using the command `npm install -D jsc-compiler`.

You can then run it using
`npx jsc <input file/directory> <output file/directory>`.
